import { FormField, FormItem, FormLabel, FormControl } from "@/components/ui/form"
import { Popover, PopoverContent, PopoverTrigger } from "@radix-ui/react-popover"
import { Checkbox } from "@radix-ui/react-checkbox"
import { Button } from "@/components/ui/button"
import { cn } from "@/lib/utils"
import { Badge } from "@/components/ui/badge"
export default function GenresTrigger({ value, genres }) {
	return (
		<>
			<PopoverTrigger asChild>
				<Button
					variant={"outline"}
					className={cn(
						"min-w-fit max-w-screen-sm w-fit pl-3 text-left font-normal",
						!value && "text-muted-foreground"
					)}
				>
					{value.length !== 0 ? (
						value.map((e, i) => (<Badge>{genres.find(f => e === f.id).name}</Badge>))
					) : (
						<FormLabel>Genres</FormLabel>
					)}
				</Button>
			</PopoverTrigger>
		</>
	)
}
